Subject: Re: Need help Understanding initial memory conditions.

From: Kalle Pokki <[email-masked]>
Date: Tue, 18 Oct 2005 10:49:11 +0200

David H. Lynch Jr wrote:

>    What exactly is the minimal startup system state the Linux 2.6.13 
> Kernel expects ?

It's pretty hard to describe the system state fully, as there are so 
many registers it may depend on. However, I can point out a few things 
from your setup:

1. Put RAM to 0x0000000 and flash to some location it mirrors to your 
boot vector. Linux always expects your physical memory to be at zero. It 
is then mapped to virtual address 0xC0000000.

2. You don't need to have MMU enabled.

3. Make sure your boot arguments are passed properly to the kernel. This 
includes the settings in registers r3 ... r7 and the bd_info structure . 
There are many variants of that structure, make sure you use the same 
ones in the boot loader and in Linux.